Package ru.bitel.bgbilling.kernel.customer.common.bean

# Class CustomerEmployee

java.lang.Object
ru.bitel.bgbilling.kernel.customer.common.bean.CustomerEmployee

public class CustomerEmployee extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CustomerEmployee.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomerEmployee()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CustomerEmployee.Builder`
  `builder()`
  `static CustomerEmployee`
  `fromJSON(org.json.JSONObject jsonObject)`
  `String`
  `getAddress()`
  `LocalDate`
  `getBirthday()`
  `String`
  `getComment()`
  `int`
  `getCustomerId()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateTo()`
  `String`
  `getDocumentNumber()`
  `String`
  `getDocumentSerial()`
  `LocalDate`
  `getDocumentWhenGive()`
  `String`
  `getDocumentWhoGive()`
  `String`
  `getEmail()`
  `String`
  `getFio()`
  `String`
  `getMobile()`
  `String`
  `getPhone()`
  `String`
  `getPosition()`
  `String`
  `getUuid()`
  `CustomerEmployee`
  `setAddress(String address)`
  `CustomerEmployee`
  `setBirthday(LocalDate birthday)`
  `CustomerEmployee`
  `setComment(String comment)`
  `CustomerEmployee`
  `setCustomerId(int customerId)`
  `CustomerEmployee`
  `setDateFrom(LocalDate dateFrom)`
  `CustomerEmployee`
  `setDateTo(LocalDate dateTo)`
  `CustomerEmployee`
  `setDocumentNumber(String documentNumber)`
  `CustomerEmployee`
  `setDocumentSerial(String documentSerial)`
  `CustomerEmployee`
  `setDocumentWhenGive(LocalDate documentWhenGive)`
  `CustomerEmployee`
  `setDocumentWhoGive(String documentWhoGive)`
  `CustomerEmployee`
  `setEmail(String email)`
  `CustomerEmployee`
  `setFio(String fio)`
  `CustomerEmployee`
  `setMobile(String mobile)`
  `CustomerEmployee`
  `setPhone(String phone)`
  `CustomerEmployee`
  `setPosition(String position)`
  `CustomerEmployee`
  `setUuid(String uuid)`
  `org.json.JSONObject`
  `toJSON()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomerEmployee

    public CustomerEmployee()

- ## Method Details

  - ### getCustomerId

    public int getCustomerId()

  - ### getUuid

    public String getUuid()

  - ### getPosition

    public String getPosition()

  - ### getFio

    public String getFio()

  - ### getPhone

    public String getPhone()

  - ### getMobile

    public String getMobile()

  - ### getEmail

    public String getEmail()

  - ### getComment

    public String getComment()

  - ### setCustomerId

    public CustomerEmployee setCustomerId(int customerId)

  - ### setUuid

    public CustomerEmployee setUuid(String uuid)

  - ### setPosition

    public CustomerEmployee setPosition(String position)

  - ### setFio

    public CustomerEmployee setFio(String fio)

  - ### setPhone

    public CustomerEmployee setPhone(String phone)

  - ### setMobile

    public CustomerEmployee setMobile(String mobile)

  - ### setEmail

    public CustomerEmployee setEmail(String email)

  - ### setComment

    public CustomerEmployee setComment(String comment)

  - ### setBirthday

    public CustomerEmployee setBirthday(LocalDate birthday)

  - ### getBirthday

    public LocalDate getBirthday()

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public CustomerEmployee setAddress(String address)

  - ### getDocumentSerial

    public String getDocumentSerial()

  - ### setDocumentSerial

    public CustomerEmployee setDocumentSerial(String documentSerial)

  - ### getDocumentNumber

    public String getDocumentNumber()

  - ### setDocumentNumber

    public CustomerEmployee setDocumentNumber(String documentNumber)

  - ### getDocumentWhoGive

    public String getDocumentWhoGive()

  - ### setDocumentWhoGive

    public CustomerEmployee setDocumentWhoGive(String documentWhoGive)

  - ### getDocumentWhenGive

    public LocalDate getDocumentWhenGive()

  - ### setDocumentWhenGive

    public CustomerEmployee setDocumentWhenGive(LocalDate documentWhenGive)

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### setDateFrom

    public CustomerEmployee setDateFrom(LocalDate dateFrom)

  - ### getDateTo

    public LocalDate getDateTo()

  - ### setDateTo

    public CustomerEmployee setDateTo(LocalDate dateTo)

  - ### fromJSON

    public static CustomerEmployee fromJSON(org.json.JSONObject jsonObject)

  - ### toJSON

    public org.json.JSONObject toJSON()

  - ### builder

    public static CustomerEmployee.Builder builder()